Subject: Re: bug#16313: 24.3; package-delete does not update package-alist

From: Bastien Guerry <[email-masked]>
Date: Tue, 07 Jan 2014 11:57:27 +0100

Stefan Monnier <[email-masked]> writes:

> The package-delete code in Emacs's trunk includes:
>
>       ;; Update package-alist.
>       (let* ((name (package-desc-name pkg-desc)))
>         (delete pkg-desc (assq name package-alist)))
>
> So I suspect that this bug is already fixed in the trunk.
> Can you check that it's indeed the case?

I just checked, this is the case.

Still, package-delete did not cleanly delete the package from
package-alist, only its description.

I pushed a fix to cleanly remove the package occurrence.

Closing this bug.